#include <bits/stdc++.h>
using namespace std;

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

	long long n;
	cin>>n;
    long long a[n];
    for (long long i=0; i<n; i++) {
        cin>>a[i];
    }
    long long r=1;
    long long r2=0;
    long long sum=a[n-1];
    long long i=n-2;
    while (r2<a[i] && i>=0) {
        if (a[i]==a[i+1]) {
            sum+=a[i]-r2;
            r++;
        }
        else {
            r2=r;
            sum+=a[i]-r2;
            r++;
        }
        i--;
    }
    cout << sum;
}
